Summary: A bootloader which can be started from the SRM console.
Name: aboot
Version: 0.7a
Release: 2
ExclusiveArch: alpha
Copyright: distributable
Group: System Environment/Base
Source: http://www.debian.org/~dhd/aboot/aboot-%{version}.tar.gz
Patch0: aboot-newelf.patch
Patch1: aboot-0.7a-isolib.patch
Patch2: aboot-0.7-linux23.patch
Patch3: aboot-0.7a-get_options.patch
BuildRoot: /var/tmp/aboot-root

%description
The aboot program is the preferred way of booting Linux when using SRM
firmware (the firmware normally used to boot an DEC UNIX). Aboot supports
the creation of bootable block devices and contains a program which can
load Linux kernels from a filesystem which is bootable by SRM.  Aboot
also supports direct booting from various filesystems (ext2, ISO9660,
UFS), booting of executable object files (ELF and ECOFF), booting of
compressed kernels, network booting (using bootp), partition tables in
DEC UNIX format, and interactive booting and default configurations for
SRM consoles that cannot pass long option strings.

If you are installing Red Hat Linux on an Alpha, you'll need to install
the aboot package.

%prep
%setup -q
%patch0 -p1 -b .newelf
%patch1 -p1 -b .isolib
%patch3 -p1 -b .get_options

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
chmod go= $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
make root=$RPM_BUILD_ROOT install
cp -p sdisklabel/swriteboot.8 tools/e2writeboot.8 $RPM_BUILD_ROOT/%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc INSTALL README

%attr(644, root, root) /boot/bootlx
/sbin/abootconf
/sbin/e2writeboot
/sbin/isomarkboot
/sbin/swriteboot
%{_mandir}/man8/e2writeboot.8*
%{_mandir}/man8/swriteboot.8*

%changelog
* Fri Feb  2 2001 Matt Wilson <msw@redhat.com>
- renamed get_option in disk.c to not conflict with 2.4 headers (patch3)

* Fri Jan 26 2001 Matt Wilson <msw@redhat.com>
- added patch from michal@harddata.com to properly mark some isos - #17888
  (patch1)
- added my patch to build against 2.4 kernel headers (patch2)

* Thu Jul 13 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- 0.7a

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Matt Wilson <msw@redhat.com>
- rebuild to get new /usr/share/doc

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- 0.7
- catch gzipped man pages
- use _mandir macros to install man files

* Tue Nov 30 1999 Matt Wilson <msw@redhat.com>
- changed to use ext2 patch based from Ruediger Oertel <ro@suse.de>

* Mon Nov 22 1999 Matt Wilson <msw@redhat.com>
- patched ext2 read code to deal with rev1 filesystems
- added a patch to properly guess IDE cdroms
  (well, sort of)

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- add patch to allow it to boot on *large* disks

* Mon Apr 26 1999 Cristian Gafton <gafton@redhat.com>
- patch from Jay Estabrook to make it work with EXT2 filesystems larger
  than 2Gb

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Tue Jan 19 1999 Erik Troan <ewt@redhat.com>
- built for Red HAt 6.0

* Tue Sep 15 1998 Richard Henderson <rth@cygnus.com>
- use aboot.lds for elf, so that the phdr comes out right.
- relax the need to have a compiled kernel installed.
- make sdisklabel take partition sizes in sectors, not kilobytes.

* Thu Aug 20 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- corrected a small but essential error in the ELF patch

* Mon Aug  3 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- added a patch to allow booting of ELF images created with binutils >= 2.9
- compiled against glibc 2.0.94

* Sun May 31 1998 Maciej W. Rozycki <macro@ds2.pg.gda.pl>
- made changes needed for glibc2 and 2.1.x kernels

